Google is committed to advancing racial equity for Black communities. See how.
Questa pagina è stata tradotta dall'API Cloud Translation.
Switch to English

Stringhe di versione consentite per Android 2.1

Come descritto nella Sezione 3.2.2 della Definizione di compatibilità Android 2.1 , solo alcune stringhe sono consentite per la proprietà di sistema android.os.Build.VERSION.RELEASE . La ragione di ciò è che le applicazioni ei siti Web possono fare affidamento su valori prevedibili per questa stringa e in modo che gli utenti finali possano identificare facilmente e in modo affidabile la versione di Android in esecuzione sui propri dispositivi.

Poiché le versioni successive del software Android possono modificare questa stringa, ma non modificare alcun comportamento dell'API, tali versioni potrebbero non essere accompagnate da un nuovo documento di definizione della compatibilità. Questa pagina elenca le versioni consentite da un sistema basato su Android 2.1. Gli unici valori consentiti per android.os.Build.VERSION.RELEASE per Android 2.1 sono:

  • 2.1

  • 2.1-aggiornamento1